return {
    {
        "nvim-lualine/lualine.nvim",
        config = function()
            vim.api.nvim_set_option("showmode",false)
            local custom_gruvbox = require'lualine.themes.gruvbox-material'
            custom_gruvbox.normal.a.bg = '#89b482'
            custom_gruvbox.insert.a.bg = '#d8a657'
            custom_gruvbox.visual.a.bg = '#a9b665'
            custom_gruvbox.replace.a.bg = '#ea6962'
            require('lualine').setup {
                options = {
                    theme = custom_gruvbox,
                    section_separators = '',
                    component_separators = ''
                },
                sections = {
                    lualine_a = {'mode'},
                    lualine_b = {
                        {
                            'filename',
                            color={gui='bold'},
                        }
                    },
                    lualine_c = {
                        {
                            'branch',
                            icon = '',
                            color={fg='#d8a657', bg='#282828', gui='bold' },
                        }
                    },
                    lualine_x = {
                        {
                            'filetype',
                            color={bg='#282828'},
                        }
                    },
                    lualine_y = {
                        {
                            'diagnostics',
                            color={gui='bold'},
                        },
                        {
                            'diff',
                            icon = {' ', color={fg='#d8a657', gui='bold'}},
                            color={gui='bold'},
                        }
                    },
                    lualine_z = {'location'}
                },

                inactive_sections = {
                    lualine_a = {'mode'},
                    lualine_b = {
                        {
                            'filename',
                        }
                    },
                    lualine_c = {
                        {
                            'branch',
                            icon = '',
                            color={fg='#d8a657', bg='#282828'},
                        }
                    },
                    lualine_x = {
                        {
                            'filetype',
                            color={bg='#282828'},
                        }
                    },
                    lualine_y = {
                        {
                            'diagnostics',
                        },
                        {
                            'diff',
                            icon = {' ', color={fg='#d8a657', gui='bold'}},
                        }
                    },
                    lualine_z = {'location'}
                },
            }
        end,
    },
}

